import request from '@/utils/request'

// 查询员工完成统计列表
export function listEmployeeStats(query) {
  return request({
    url: '/stats/seller/pageList',
    method: 'post',
    data: query
  })
}

export function listInlineList(query) {
  return request({
    url: '/stats/inline/pageList',
    method: 'post',
    data: query
  })
}

export function exportInlineList(param){
  return request({
    url: '/stats/inline/export',
    method: 'post',
    data: param
  })
}
export function exportSellerData(param){
  return request({
    url: '/stats/seller/export',
    method: 'post',
    data: param
  })
}

export function listPeriodList(query) {
  return request({
    url: '/stats/period/pageList',
    method: 'post',
    data: query
  })
}

export function exportPeriodData(query){
  return request({
    url: '/stats/period/export',
    method: 'post',
    data: query
  })
}

export function exportTodayData(query) {
  return request({
    url: '/stats/everyDay/export',
    method: 'post',
    data: query
  })
}

export function listTodayList(query) {
  return request({
    url: '/stats/everyDay/pageList',
    method: 'post',
    data: query
  })
}

// 查询员工完成统计详细
export function getEmployeeStats(id) {
  return request({
    url: '/system/employeeStats/' + id,
    method: 'get'
  })
}

// 获取员工列表
export function getEmployeeList() {
  return request({
    url: '/system/employee/list',
    method: 'get'
  })
}

// 获取频道列表
export function getChannelList() {
  return request({
    url: '/system/channel/list',
    method: 'get'
  })
}

// 导出员工完成统计
export function exportEmployeeStats(query) {
  return request({
    url: '/system/employeeStats/export',
    method: 'post',
    data: query
  })
}

// 获取SOP任务数据
export function getSOPTaskData(param){
  return request({
    url: '/stats/sopTaskData',
    method: 'post',
    data: param
  })
}

// 获取部门数据
export function getDeptData(param){
  return request({
    url: '/stats/getDeptData',
    method: 'get'
  })
}
